
package com.tmerclub.cloud.order.vo;

import com.tmerclub.cloud.common.vo.BaseVO;
import io.swagger.v3.oas.annotations.media.Schema;

import java.io.Serial;
import java.io.Serializable;

/**
 * 退款原因VO
 *
 * @author tmerclub
 * @date 2020-12-05 14:13:50
 */
public class OrderReturnReasonVO extends BaseVO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    @Schema(description = "订单退款原因ID")
    private Long reasonId;

    @Schema(description = "退货原因名")
    private String reason;

    @Schema(description = "排序")
    private Integer seq;

    @Schema(description = "启用状态")
    private Integer status;

    @Schema(description = "优惠总额")
    private Long reduceAmount;

    public Long getReasonId() {
        return reasonId;
    }

    public void setReasonId(Long reasonId) {
        this.reasonId = reasonId;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public Integer getSeq() {
        return seq;
    }

    public void setSeq(Integer seq) {
        this.seq = seq;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Long getReduceAmount() {
        return reduceAmount;
    }

    public void setReduceAmount(Long reduceAmount) {
        this.reduceAmount = reduceAmount;
    }

    @Override
    public String toString() {
        return "OrderReturnReasonVO{" +
                "reasonId=" + reasonId +
                ",createTime=" + createTime +
                ",updateTime=" + updateTime +
                ",reason=" + reason +
                ",seq=" + seq +
                ",status=" + status +
                ",reduceAmount=" + reduceAmount +
                '}';
    }
}
